<script src="../../../../assets/bundles/datatablescripts.bundle.js"></script>
<section class="content">
    <div class="block-header">
        <div class="row">
            <div class="col-lg-7 col-md-6 col-sm-12">
                <h2>All stats <span ng-if="senderName">from {{senderName}}</span> </h2>
            </div>
            <div class="col-lg-5 col-md-6 col-sm-12">
                <ul class="breadcrumb float-md-right">
                    <li class="breadcrumb-item"><a ui-sref="test"><i class="zmdi zmdi-home"></i>Dashboard</a></li>
                    <li class="breadcrumb-item"><a ng-if="senderName" ui-sref="all-stats({'sender_id':null})">All Stats</a><span ng-if="!senderName">All Stats</span></li>
                    <li ng-if="senderName" class="breadcrumb-item"><span>Sender's Stats</span></li>
                </ul>
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <!-- Basic Examples -->
        <div class="row clearfix">
            <div class="col-lg-12">
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table id="statDataTable" class="table table-bordered table-striped table-hover dataTable">
                                <thead ng-if="senderName">
                                <tr >
                                    <th>To</th>
                                    <th>SG Message ID</th>
                                    <th>Processed</th>
                                    <th>Delivered</th>
                                    <th>Opened</th>
                                    <th>Clicked</th>
                                </tr>
                                </thead>
                                <thead ng-if="!senderName">
                                <tr>
                                    <th>From</th>
                                    <th>Processed</th>
                                    <th>Delivered</th>
                                    <th>Opened</th>
                                    <th>Clicked</th>
                                </tr>
                                </thead>
                                <tbody ng-if="senderName">
                                <tr ng-repeat="(sgMessageId, stat) in allStats">
                                    <td>{{stat.email}}</td>
                                    <td><a ui-sref="sg-message({'sgMessageId':sgMessageId})"><span>{{sgMessageId}}</span></a></td>
                                    <td>{{stat.processed ? stat.processed : 0}}</td>
                                    <td>{{stat.delivered ? stat.delivered : 0}}</td>
                                    <td>{{stat.open ? stat.open : 0}}</td>
                                    <td>{{stat.clicked ? stat.clicked : 0}}</td>
                                </tr>
                                </tbody>
                                <tbody ng-if="!senderName">
                                <tr ng-repeat="(from, stat) in allStats">
                                    <td><a ui-sref="all-stats({'sender_id':stat.id})"><span>{{from}}</span></a></td>
                                    <td>{{stat.processed ? stat.processed : 0}}</td>
                                    <td>{{stat.delivered ? stat.delivered : 0}}</td>
                                    <td>{{stat.open ? stat.open : 0}}</td>
                                    <td>{{stat.clicked ? stat.clicked : 0}}</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Basic Examples -->
    </div>
</section>
<!-- Jquery Core Js -->
<!--<script src="assets/bundles/libscripts.bundle.js"></script> &lt;!&ndash; Lib Scripts Plugin Js &ndash;&gt;-->
<!--<script src="assets/bundles/vendorscripts.bundle.js"></script> &lt;!&ndash; Lib Scripts Plugin Js &ndash;&gt;-->

<!-- Jquery DataTable Plugin Js -->
<!--<script src="assets/bundles/datatablescripts.bundle.js"></script>-->
<!--<script src="assets/plugins/jquery-datatable/buttons/dataTables.buttons.min.js"></script>-->
<!--<script src="assets/plugins/jquery-datatable/buttons/buttons.bootstrap4.min.js"></script>-->
<!--<script src="assets/plugins/jquery-datatable/buttons/buttons.colVis.min.js"></script>-->
<!--<script src="assets/plugins/jquery-datatable/buttons/buttons.html5.min.js"></script>-->
<!--<script src="assets/plugins/jquery-datatable/buttons/buttons.print.min.js"></script>-->

<!--<script src="assets/bundles/mainscripts.bundle.js"></script>&lt;!&ndash; Custom Js &ndash;&gt;-->
<!--<script src="assets/js/pages/tables/jquery-datatable.js"></script>-->
<script>
    setTimeout(function(){ $('#statDataTable').DataTable(); });
</script>